<?php
    include_once __DIR__ . '/../config/database.php';

    class RolController {
        private $db;

        public function __construct() {
            $database = new Database();
            $this->db = $database->getConnection();
        }

        public function listarRoles() {
            $query = "SELECT * FROM Rol";
            $stmt = $this->db->prepare($query);
            $stmt->execute();
            return $stmt->fetchAll(PDO::FETCH_ASSOC);
        }

        public function agregarRol($nombrederol, $descripcion) {
            $query = "INSERT INTO Rol (nombrederol, descripcion) VALUES (:nombrederol, :descripcion)";
            $stmt = $this->db->prepare($query);
            $stmt->bindParam(':nombrederol', $nombrederol);
            $stmt->bindParam(':descripcion', $descripcion);
            return $stmt->execute();
        }

        public function actualizarRol($idRol, $nombrederol, $descripcion) {
            $query = "UPDATE Rol SET nombrederol = :nombrederol, descripcion = :descripcion WHERE idRol = :idRol";
            $stmt = $this->db->prepare($query);
            $stmt->bindParam(':idRol', $idRol);
            $stmt->bindParam(':nombrederol', $nombrederol);
            $stmt->bindParam(':descripcion', $descripcion);
            return $stmt->execute();
        }

        public function eliminarRol($idRol) {
            $query = "DELETE FROM Rol WHERE idRol = :idRol";
            $stmt = $this->db->prepare($query);
            $stmt->bindParam(':idRol', $idRol);
            return $stmt->execute();
        }
    }
?>
